summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: f1d60ce)
raw | patch | inline | side by side (parent: f1d60ce)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 4 Jun 2008 07:24:51 +0000 (07:24 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 4 Jun 2008 07:24:51 +0000 (07:24 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@11190 594d385d-05f5-0310-b6e9-bd551577e9d8
gosa-core/contrib/make-gosa-package | patch | blob | history | |
gosa-core/dh-make-gosa | patch | blob | history |
index 6be6af3a6e2f7f2fcc45fa965de067c4e1df645e..f80e325885c16ecfc291b45d2fd8bfd7f074b381 100755 (executable)
exit 1
}
-if ! which dh-make-gosa &> /dev/null; then
+if ! which dh-make-gosa >/dev/null; then
echo "Error: cannot find dh-make-gosa binary in path!";
exit 1
fi
done
for dir in $GOSA_DIR $GOSA_SI_DIR $GOSA_PLUGIN_DIRS; do
echo "Adapting version in $dir"
- (cd "$dir"; echo | debchange -v "${GOSA_VER}-1${TARGET_RELEASE}1" -D "$TARGET_RELEASE" "$RELEASE_REASON" &> /dev/null)
+ (cd "$dir"; echo | debchange -v "${GOSA_VER}-1${TARGET_RELEASE}1" -D "$TARGET_RELEASE" "$RELEASE_REASON" >/dev/null 2>&1)
[ -d $dir/debian/patches ] || continue
echo "Creating patch list for $dir"
ls -1 $dir/debian/patches | grep -v 00list | sed 's%^.*/%%g' > $dir/debian/patches/00list
diff --git a/gosa-core/dh-make-gosa b/gosa-core/dh-make-gosa
index ecead6e0f2398c3537f18e8901256b6d3f0c78e1..e96b1e530e92366a3bcfbf2007bfe890588a7f16 100755 (executable)
--- a/gosa-core/dh-make-gosa
+++ b/gosa-core/dh-make-gosa
# Untar
mkdir -p "$TMPDIR"
- tar --extract --directory "$TMPDIR" -fz "$file" &> /dev/null
+ tar --extract --directory "$TMPDIR" -fz "$file" >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Error: cannot extract plugin file - invalid file format" >&2
exit 5
read -s -n 1 -p "Do you want to continue? (y/n)" ans; echo
[ "$ans" != "y" ] && exit 0
-pushd . &> /dev/null
-
cd "$BUILD_PATH"
# Use gosa-plugin skelleton
echo "Calling dh_make..."
-echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz &> /dev/null
+echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Failed to call dh_make - aborting!"
exit 1
done
# Remove examples
-rm debian/*ex debian/*EX &> /dev/null
-
-popd &> /dev/null
+rm debian/*ex debian/*EX >/dev/null 2>&1
echo "Done."